﻿--
-- ModMission02
--
-- Copyright (C) 2010 Blackburner

ModMission02 = {};

local ModMission02_mt = Class(ModMission02, DCBaseMission);

function ModMission02:new(baseDirectory)
    local self = ModMission02:superClass():new(baseDirectory, ModMission02_mt);

    return self;
end;

function ModMission02:delete()
    -- delete mission specific stuff here
    ModMission02:superClass().delete(self);
end;

function ModMission02:load()

    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_town01.i3d", self.baseDirectory));
    setAmbientColor(115/255, 115/255, 125/255);
    setFog("exp", 0.001, 1, 90/255, 90/255, 95/255);

    self:loadMissionXML(Utils.getFilename("ModMission02.xml", self.baseDirectory));
 
	self.walkableHouse03Event = self.events["walkableHouse03Destroyed"];
    self.walkableHouse03Triggered = false;    
	self.walkableHouse04Event = self.events["walkableHouse04Destroyed"];
    self.walkableHouse04Triggered = false;    
	self.walkableHouse05Event = self.events["walkableHouse05Destroyed"];
    self.walkableHouse05Triggered = false;

    ModMission02:superClass().load(self);
end;

function ModMission02:mouseEvent(posX, posY, isDown, isUp, button)
    ModMission02:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function ModMission02:keyEvent(unicode, sym, modifier, isDown)
    ModMission02:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function ModMission02:update(dt) 
    ModMission02:superClass().update(self, dt); 
     if self.isRunning then 
        if self.state == BaseMission.STATE_INTRO then 
            self.state = BaseMission.STATE_RUNNING; 
        elseif self.state == BaseMission.STATE_RUNNING then 

            if (not self.walkableHouse03Triggered and self.walkableHouse03Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse03CompleteCaption"), g_i18n:getText("walkableHouse03CompleteMessage"), 10000, 1000); 
                self.walkableHouse03EventTriggered = true; 
            end; 
            if (not self.walkableHouse04Triggered and self.walkableHouse04Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse04CompleteCaption"), g_i18n:getText("walkableHouse04CompleteMessage"), 10000, 1000); 
                self.walkableHouse04EventTriggered = true; 
            end; 
            if (not self.walkableHouse05Triggered and self.walkableHouse05Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse05CompleteCaption"), g_i18n:getText("walkableHouse05CompleteMessage"), 10000, 1000); 
                self.walkableHouse05EventTriggered = true; 
            end;
        end; 
    end; 
end;

function ModMission02:draw()
    ModMission02:superClass().draw(self);

    if self.isRunning then
       -- draw GUI stuff
    end;

end;